﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class FormEjemplo : Form
    {
        public FormEjemplo()
        {
            InitializeComponent();
        }

        private void buttonCargar_Click(object sender, EventArgs e)
        {
            string[] imagenes = new string[] {"https://i.ytimg.com/vi/r5zVP6tmvRQ/mqdefault.jpg", 
                                              "https://i.ytimg.com/i/ZJ7m7EnCNodqnu5SAtg8eQ/1.jpg",
                                              "https://i.ytimg.com/vi/oY6ZMx_lVks/default.jpg",
                                              "https://i.ytimg.com/vi/REd0FYX8Zno/default.jpg",
                                              "https://i.ytimg.com/vi/ZJxN1swBnhg/default.jpg"};

            using (WebClient client = new WebClient())
            {
                this.imageList.ColorDepth = ColorDepth.Depth32Bit;
                this.imageList.ImageSize = new Size(60, 50);

                foreach (var imagen in imagenes)
                {
                    Byte[] byteImage = client.DownloadData(imagen);
                    MemoryStream memoryStream = new MemoryStream(byteImage);
                    Image image = Image.FromStream(memoryStream);
                    this.imageList.Images.Add(image);

                    ListViewItem item = new ListViewItem();
                    item.ImageIndex = imageList.Images.Count - 1;
                    item.SubItems.Add(imagen);
                    this.listView.Items.Add(item);
                }
            }
        }


    }
}
